Skip to main content
GET
/
syncs
/
{syncid}
/
executions
Get executions for a sync
curl --request GET \
  --url https://api.chift.eu/syncs/{syncid}/executions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "parentexecutionid": "<string>",
      "start": "2023-11-07T05:31:56Z",
      "end": "2023-11-07T05:31:56Z",
      "status": "<string>",
      "consumer_id": "<string>",
      "flow_id": "<string>"
    }
  ],
  "total": 1,
  "page": 2,
  "size": 2
}

Documentation Index

Fetch the complete documentation index at: https://docs.chift.eu/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This access token needs to be included in each of your request to the Chift API.

Path Parameters

syncid
string<uuid>
required

Query Parameters

flowid
string<uuid> | null
page
integer
default:1
Required range: x >= 1
size
integer
default:50
Required range: 1 <= x <= 500
date_to
string<date-time> | null
date_from
string<date-time> | null

Response

Successful Response

items
SyncExecutionItem · object[]
required
total
integer
required
Required range: x >= 0
page
integer
required
Required range: x >= 1
size
integer
required
Required range: x >= 1